let ipkg fail when a package file to be installed is not found
[openwrt/svn-archive/archive.git] / openwrt / package / openssh / patches / cross-compile.patch
1 diff -Nur openssh-4.0p1/configure openssh-4.0p1.patched/configure
2 --- openssh-4.0p1/configure 2005-03-09 05:54:16.000000000 +0100
3 +++ openssh-4.0p1.patched/configure 2005-06-02 13:35:06.000000000 +0200
4 @@ -5524,7 +5524,7 @@
5 *-*-linux*)
6 no_dev_ptmx=1
7 check_for_libcrypt_later=1
8 - check_for_openpty_ctty_bug=1
9 + check_for_openpty_ctty_bug=0
10 cat >>confdefs.h <<\_ACEOF
11 #define DONT_TRY_OTHER_AF 1
12 _ACEOF
13 @@ -12810,90 +12810,6 @@
14 fi
15 fi
16
17 -if test ! -z "$check_for_openpty_ctty_bug"; then
18 - echo "$as_me:$LINENO: checking if openpty correctly handles controlling tty" >&5
19 -echo $ECHO_N "checking if openpty correctly handles controlling tty... $ECHO_C" >&6
20 - if test "$cross_compiling" = yes; then
21 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
22 -See \`config.log' for more details." >&5
23 -echo "$as_me: error: cannot run test program while cross compiling
24 -See \`config.log' for more details." >&2;}
25 - { (exit 1); exit 1; }; }
26 -else
27 - cat >conftest.$ac_ext <<_ACEOF
28 -/* confdefs.h. */
29 -_ACEOF
30 -cat confdefs.h >>conftest.$ac_ext
31 -cat >>conftest.$ac_ext <<_ACEOF
32 -/* end confdefs.h. */
33 -
34 -#include <stdio.h>
35 -#include <sys/fcntl.h>
36 -#include <sys/types.h>
37 -#include <sys/wait.h>
38 -
39 -int
40 -main()
41 -{
42 - pid_t pid;
43 - int fd, ptyfd, ttyfd, status;
44 -
45 - pid = fork();
46 - if (pid < 0) { /* failed */
47 - exit(1);
48 - } else if (pid > 0) { /* parent */
49 - waitpid(pid, &status, 0);
50 - if (WIFEXITED(status))
51 - exit(WEXITSTATUS(status));
52 - else
53 - exit(2);
54 - } else { /* child */
55 - close(0); close(1); close(2);
56 - setsid();
57 - openpty(&ptyfd, &ttyfd, NULL, NULL, NULL);
58 - fd = open("/dev/tty", O_RDWR | O_NOCTTY);
59 - if (fd >= 0)
60 - exit(3); /* Acquired ctty: broken */
61 - else
62 - exit(0); /* Did not acquire ctty: OK */
63 - }
64 -}
65 -
66 -_ACEOF
67 -rm -f conftest$ac_exeext
68 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
69 - (eval $ac_link) 2>&5
70 - ac_status=$?
71 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
72 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
73 - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
74 - (eval $ac_try) 2>&5
75 - ac_status=$?
76 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
77 - (exit $ac_status); }; }; then
78 -
79 - echo "$as_me:$LINENO: result: yes" >&5
80 -echo "${ECHO_T}yes" >&6
81 -
82 -else
83 - echo "$as_me: program exited with status $ac_status" >&5
84 -echo "$as_me: failed program was:" >&5
85 -sed 's/^/| /' conftest.$ac_ext >&5
86 -
87 -( exit $ac_status )
88 -
89 - echo "$as_me:$LINENO: result: no" >&5
90 -echo "${ECHO_T}no" >&6
91 - cat >>confdefs.h <<\_ACEOF
92 -#define SSHD_ACQUIRES_CTTY 1
93 -_ACEOF
94 -
95 -
96 -
97 -fi
98 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
99 -fi
100 -fi
101
102 if test "x$ac_cv_func_getaddrinfo" = "xyes" -a "x$check_for_hpux_broken_getaddrinfo" = "x1"; then
103 echo "$as_me:$LINENO: checking if getaddrinfo seems to work" >&5